/* Template Styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--font-poppins);
}

.layout {
    display: flex;
    height: 100vh;
    width: 100%;
    
}

.page-content {
    flex: 1;
    height: 100vh;
    width: 100%;
    overflow-y: auto;
}

.layout .hidden{
overflow: hidden;
}
body {
    background: #000105;
}

.sidebar {
    flex-shrink: 0;
    width: 260px;
    height: 100vh;
    background: #000105;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 20px 15px;
    padding-bottom: 0px;
}

#sidebar-toggle {
    cursor: pointer;
}

@media (max-width: 1024px) {
    .layout {
        flex-direction: column;
    }
    .sidebar {
        width: 100%;
        height: auto;
        padding-bottom: 20px;
        z-index: 10;
    }
    .sidebar .nav,
    .sidebar .cyber-button {
        display: none;
    }
    .sidebar.active .nav {
        display: flex;
        flex-direction: column;
    }
    .sidebar.active .cyber-button {
        display: flex;
        margin-top: 20px;
    }
    
    .hero, .page-content {
        flex: 1;
        height: 0;
    }
}
.sidebar-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo img {
    height: 32px;
}

.nav {
    margin-top: 30px;
}

.nav-item {
    display: flex;
    align-items: center;
    gap: 14px;
    padding: 14px 16px;
    border-radius: 10px;
    color: #94a3b8;
    text-decoration: none;
    position: relative;
    transition: 0.3s;
}

.nav-item i {
    font-size: 18px;
}

.nav-item:hover {
    background: rgba(255, 255, 255, 0.04);
    color: #e2e8f0;
}

/* ACTIVE */
.nav-item.active {
    background: linear-gradient(90deg, rgba(6, 182, 212, 0.15), rgba(37, 99, 235, 0.1));
    color: #22c55e;
    box-shadow: inset 0 0 10px rgba(6, 182, 212, 0.3);
}

.nav-item.active::before {
    content: "";
    position: absolute;
    left: 0;
    top: 15%;
    height: 70%;
    width: 4px;
    background: #22c55e;
    clip-path: polygon(10% 0%, 90% 10%, 90% 90%, 0% 100%);
}

/* FOOTER */
.sidebar-footer {
    padding-top: 20px;
}

.cyber-button {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    width: 80%;
    margin-left: 10%;
    cursor: pointer;
    border: none;
    background: none;
    color: white;
    font-size: 15px;
    /* clip-path: polygon(15% 0, 85% 0, 100% 40%, 100% 100%, 0 100%, 0 40%); */
    clip-path: polygon(15% 0, 85% 0, 100% 50%, 100% 100%, 0 100%, 0 50%);

    background-color: #0066ff;
    /* Base Blue */
    box-shadow: inset 0 0 0 2px rgba(255, 255, 255, 0.3);
    transition: all 0.3s ease;
}

.cyber-button:hover {
    background-color: #0052cc;
    box-shadow: inset 0 0 0 2px rgba(255, 255, 255, 0.5), 0 0 15px rgba(0, 102, 255, 0.4);
}



.search-bar {
    width: 400px;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 12px 16px;

    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);

    border-radius: 8px;
    color: #94a3b8;
}

.search-bar input {
    background: transparent;
    border: none;
    outline: none;
    color: white;
    width: 100%;
}

